Package org.stianloader.micromixin.transform.internal.util

## Class Objects

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.Objects

-     @Internal
      public final class Objects
      extends java.lang.Object

  Class that copies functionality from java.util.Objects that is not present on java 6.

  Also includes other unavailable methods that didn't fit elsewhere.

  This class may appear as deprecated for external consumers of micromixin-transformer, however for internal use this class can still be safely used. For external use, you probably meant to use the Object class provided by the java runtime - please configure your IDE to ignore the internal packages of micromixin-transformer.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Objects()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Throwable` | `addSuppressed​(java.lang.Throwable throwable, java.util.List<? extends java.lang.Throwable> suppressed)` |
    `static boolean` | `equals​(java.lang.Object o1, java.lang.Object o2)` |
    `static int` | `hashCode​(java.lang.Object o)` |
    `static <T> T` | `requireNonNull​(T object)` |
    `static <T> T` | `requireNonNull​(T object, java.lang.String message)` |
    `static java.lang.String` | `toString​(java.lang.Object o)` |
    `static java.lang.String` | `unsignedLongToString​(long value, int radix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Objects

          public Objects()

  - ### Method Detail

    - #### addSuppressed

          public static java.lang.Throwable addSuppressed​(java.lang.Throwable throwable,
                                                          java.util.List<? extends java.lang.Throwable> suppressed)

    - #### equals

          @Contract(pure=true,
                    value="null, !null -> false; null, null -> true; !null, null -> false")
          public static boolean equals​(@Nullable
                                       java.lang.Object o1,
                                       @Nullable
                                       java.lang.Object o2)

    - #### hashCode

          public static int hashCode​(@Nullable
                                     java.lang.Object o)

    - #### requireNonNull

          @NotNull
          @Contract(pure=true,
                    value="!null -> param1; null -> fail")
          public static <T> T requireNonNull​(T object)

    - #### requireNonNull

          @NotNull
          @Contract(pure=true,
                    value="!null, _ -> param1; null, _ -> fail")
          public static <T> T requireNonNull​(T object,
                                             @NotNull
                                             java.lang.String message)

    - #### toString

          @NotNull
          @Contract(pure=true,
                    value="_ -> !null")
          public static java.lang.String toString​(@Nullable
                                                  java.lang.Object o)

    - #### unsignedLongToString

          @NotNull
          public static java.lang.String unsignedLongToString​(long value,
                                                              int radix)